---
title: USBConfiguration.USBConfiguration()
slug: Web/API/USBConfiguration/USBConfiguration
tags:
  - API
  - Constructor
  - Experimental
  - NeedsE
  - Reference
  - USB
  - USBConfiguration
  - WebUSB
  - WebUSB API
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("WebUSB API")}}</div>

<p class="summary">The <strong><code>USBConfiguration()</code></strong> constructor creates a new {{domxref("USBConfiguration")}} object which contains information about the configuration on the provided USBDevice with the given configuration value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>USBConfiguration</var> = new USBConfiguration(<var>device</var>, <var>configurationValue</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>device</dt>
 <dd>Specifies the {{domxref('USBDevice')}} you want to configure.</dd>
 <dt>configurationValue</dt>
 <dd>Specifies the <a href="https://www.beyondlogic.org/usbnutshell/usb5.shtml#ConfigurationDescriptors">configuration descriptor</a> you want to read. This is an unsigned integer in the range 0 to 255.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('','null','USBConfiguration')}}</td>
   <td>{{Spec2('')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBConfiguration.USBConfiguration")}}</p>
